
	; All variables used by fatfs
	!set external_pc = $33C

	+var0	~VARSTART

	; Global state created by fat_init
	+var8	~sectors_per_cluster_shift
	+var8	~sectors_per_cluster
	+var16	~root_start
	+var16	~data_start
	+var16	~fat_start
;344
	; Current file state (dont reorder!)
	+var8	~file_attribute
	+var16	~file_startcluster
	+var16	~file_length
	+var8	~file_length_x

;34a
	; Used temporarily while reading
	+var0	~byte_counter
	+var16	~sectors
	+var16	~current_cluster
;34e
	; User accessible FATFS variables
	+var16 ~read_target; = $2fc
	+var8 ~start_sector; = $2fe
	+var8 ~sector_count; = $2ff
;352
	; MMC state
	+var16 ~read_adress; = $2F0
	+var16 ~read_offset; = $2F2
	+var16 ~read_offset_x; = $2F4

	; MMC read_sector temporary
	+var16 ~count; = $2F6
;35a	
	+var0	~sector_counter
	+var8 	~fname_length

	+var8	~file_state

	;+reserve ~savex,5

	+var0 ~VAREND

	+var8 ~savex

	; ----- Long filename variables
	+var0 ~index_size		; Number of elements in index table after directory read
	+var8 ~dir_sector		; Used temorarily when generating directory
	+var8 ~entries			; - so it can be reused by index_size

	+var16 ~copy_ptr		; Temporary ptr to data area for directory read
	+var8 ~do_hide			; FLAG: Hide dotfiles
	+var16 ~index_ptr		; Temporary ptr to index area for directory read

	+var16 ~index_table		; Location of index area, user accessible

	+reserve ~DIRENTRY,32		; Can shave off 12 bytes from here if we rewrite dir scanning smarter



tmp0 = $bd
tmp1 = $be
tmp2 = $bf
tmp3 = $c0



; ----------============ Browser Variables =============--------------


	!set external_pc = $c000



	+var8	~startup_key
	+var8	~selected_number

	; Readkey variables (util.a)
	
	+reserve ~scantable,16

	; Print variables (print.a)

	+var8 ~xcoord
	+var8 ~ycoord
	+var16 ~screenpos
	+var8 ~lo:
	+var8 ~hi:
	;+reserve ~num,5

	; printdir variables (print.a)
	+var8	~index
	+var16	~top_file



;flength	= $1a0


SETTINGS = $ca00

ST_LAST_DIR = SETTINGS
ST_LAST_MARKED = SETTINGS+21
ST_IS_VALID = SETTINGS+$20
ST_THIS_FILE = SETTINGS+$80
